Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class SessionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.apache.catalina.SessionEvent

public final class SessionEvent
extends java.util.EventObject

General event for notifying listeners of significant changes on a Session.

Version:
  $Revision: 1.1 $ $Date: 2001/07/29 03:43:54 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SessionEvent(Session session, java.lang.String type, java.lang.Object data)` Construct a new SessionEvent with the specified parameters.

Method Summary
`java.lang.Object` | `getData()` Return the event data of this event.
`Session` | `getSession()` Return the Session on which this event occurred.
`java.lang.String` | `getType()` Return the event type of this event.
`java.lang.String` | `toString()` Return a string representation of this event.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionEvent

    public SessionEvent(Session session,
                        java.lang.String type,
                        java.lang.Object data)

  Construct a new SessionEvent with the specified parameters.
  Parameters:
    `session` - Session on which this event occurred
    `type` - Event type
    `data` - Event data

Method Detail

### getData

    public java.lang.Object getData()

  Return the event data of this event.

### getSession

    public Session getSession()

  Return the Session on which this event occurred.

### getType

    public java.lang.String getType()

  Return the event type of this event.

### toString

    public java.lang.String toString()

  Return a string representation of this event.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.